Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.
Get Embedded Service Configuration
You must be logged in to the account that owns the EmbeddedServiceConfigDeveloperName you are querying.
Syntax
URI: /services/data/vXX.X/support/embeddedservice/configuration/embeddedServiceConfigDeveloperName
Formats: JSON
HTTP method: GET
Authentication: Authorization: Bearer token
Request parameters: None
Example
Example Request
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/support/embeddedservice/configuration/TestOne -H "Authorization: Bearer token"Example Response Body
1{
2 "embeddedServiceConfig" : {
3 "areGuestUsersAllowed" : false,
4 "authMethod" : "CustomLogin",
5 "embeddedServiceBranding" : {
6 "contrastInvertedColor" : "#ffffff",
7 "contrastPrimaryColor" : "#333333",
8 "font" : "Salesforce Sans",
9 "height" : 498,
10 "navBarColor" : "#222222",
11 "primaryColor" : "#222222",
12 "secondaryColor" : "#005290",
13 "width" : 320
14 },
15 "embeddedServiceLiveAgent" : {
16 "avatarImg" : "",
17 "embeddedServiceQuickActions" : [ {
18 "order" : 1,
19 "quickActionDefinition" : "Snapins_Case_OfflineCaseQuickAction_08hRM00000000cC",
20 "quickActionType" : "OfflineCase"
21 }, {
22 "order" : 1,
23 "quickActionDefinition" : "Snapins_Contact_PrechatQuickAction_08hRM00000000RC",
24 "quickActionType" : "Prechat"
25 }, {
26 "order" : 2,
27 "quickActionDefinition" : "Snapins_Case_PrechatQuickAction_08hRM00000000RC",
28 "quickActionType" : "Prechat"
29 } ],
30 "enabled" : true,
31 "fontSize" : "Medium",
32 "headerBackgroundImg" : "https://google.com/img/headerBgImgUrl.png",
33 "isOfflineCaseEnabled" : true,
34 "isQueuePositionEnabled" : true,
35 "liveChatButton" : "573RM0000004GGf",
36 "liveChatDeployment" : "572RM0000004CDV",
37 "offlineCaseBackgroundImg" : "https://google.com/img/offlineBgImgUrl.png",
38 "prechatBackgroundImg" : "https://google.com/img/prechatBgImgUrl.png",
39 "prechatEnabled" : true,
40 "scenario" : "Service",
41 "smallCompanyLogoImg" : "https://google.com/img/logoImgUrl.png",
42 "waitingStateBackgroundImg" : "https://google.com/img/bgImgUrl.png"
43
44 },
45 "shouldHideAuthDialog" : false,
46 "siteUrl" : "https://snapins-15f082fb956-15fbc261d27.stmfa.stm.force.com/napili2"
47 }
48}